Bug 168390 - Large O_DIRECT write will hang system (MPT fusion)
Summary: Large O_DIRECT write will hang system (MPT fusion)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168426
TreeView+ depends on / blocked
 
Reported: 2005-09-15 16:32 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 16:35:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mptfusion-sg-overflow-4kpage.patch (788 bytes, patch)
2005-09-15 16:32 UTC, Bastien Nocera
no flags Details | Diff
New patch to solve problem (754 bytes, patch)
2005-11-19 17:59 UTC, Doug Ledford
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Bastien Nocera 2005-09-15 16:32:42 UTC
kernel 2.4.21-32.0.1

"There is a overflow of scatterlist on 1 page DMA."

Patch from nanhai.zou@intel.com

Comment 1 Bastien Nocera 2005-09-15 16:32:43 UTC
Created attachment 118862 [details]
mptfusion-sg-overflow-4kpage.patch

Comment 9 Doug Ledford 2005-10-25 16:46:33 UTC
Re-Acking since they got me the info I needed and the patch looks sane enough.

Comment 12 Doug Ledford 2005-11-19 17:59:29 UTC
Created attachment 121265 [details]
New patch to solve problem

The original patch caused compiler warnings on build.  The attached patch
compiles cleanly.  Can the reporter please test this patch to verify that the
problem is solved with it.

Comment 13 Ernie Petrides 2005-11-29 01:13:02 UTC
Please follow up on this immediately, or the fix will miss U7.  Thanks.

Comment 16 Ernie Petrides 2005-11-30 07:34:08 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.12.EL).


Comment 19 Ernie Petrides 2005-12-09 03:24:42 UTC
*** Bug 175154 has been marked as a duplicate of this bug. ***

Comment 22 Red Hat Bugzilla 2006-03-15 16:35:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.